Bug 972286 - [v1cart]Got wrong name of jbosseap-6.0 cartridge on node
[v1cart]Got wrong name of jbosseap-6.0 cartridge on node
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 03:12 EDT by Gaoyun Pei
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:47:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-06-08 03:12:35 EDT
Description of problem:
After installing an OSE env in  v1 mode, check the cartridges installed on the node, find out the jbosseap-6.0 cartridge list as "unknown-jbosseap-6.0"

Version-Release number of selected component (if applicable):
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-07.2/

How reproducible:
Always

Steps to Reproduce:
1. Set up an OSE v1 env using the installation script
2. Check the cartridges using "oo-cartridge-list" on node
[root@node1 ~]# oo-cartridge-list 
Cartridges:
        ruby-1.9
        postgresql-8.4
        jbossews-1.0
        perl-5.10
        haproxy-1.4
        ruby-1.8
        cron-1.4
        php-5.3
        diy-0.1
        unknown-jbosseap-6.0
        python-2.6
        jenkins-1.4
        mysql-5.1
        jenkins-client-1.4


Actual results:
unknown-jbosseap-6.0 is listed there.

Expected results:
It should be "jbosseap-6.0" instead of "unknown-jbosseap-6.0"

Additional info:
Comment 2 Jason DeTiberus 2013-06-10 09:01:02 EDT
There was an old version of the cartridge shipping in the puddles, a new puddle is being built that has a version of the v1 jbosseap cartridge that displays the correct name.

As an aside, we will not be shipping the v1 carts with OSE 1.2
Comment 5 Gaoyun Pei 2013-06-13 03:42:46 EDT
Verify this bug on puddle:
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-12.3/

Install a node in v1 mode using the installation script, and check the cartridges installed on it.

[root@node3 ~]# oo-cartridge-list
Cartridges:
	ruby-1.9
	postgresql-8.4
	jbossews-1.0
	perl-5.10
	haproxy-1.4
	ruby-1.8
	cron-1.4
	php-5.3
	diy-0.1
	jbosseap-6.0
	python-2.6
	jenkins-1.4
	mysql-5.1
	jenkins-client-1.4
Comment 6 Luke Meyer 2013-06-28 11:47:54 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.